Manifest-Version: 1.0
Bnd-LastModified: 1711475720576
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Search Web
Bundle-SymbolicName: com.liferay.portal.search.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.113.hotfix-5175-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.asset.kernel;version="2.1",com.liferay.asset.kernel.model;version=
 "10.0",com.liferay.asset.kernel.service;version="10.0",com.liferay.as
 set.kernel.service.persistence;version="12.0",com.liferay.asset.util;
 version="4.0",com.liferay.configuration.admin.display;version="1.2",c
 om.liferay.dynamic.data.mapping.util;version="8.0",com.liferay.expand
 o.kernel.model;version="6.0",com.liferay.exportimport.kernel.lar;vers
 ion="5.0",com.liferay.exportimport.kernel.staging;version="2.3",com.l
 iferay.fragment.processor;version="8.3",com.liferay.frontend.taglib.s
 ervlet.taglib.util;version="2.0",com.liferay.learn;version="1.1",com.
 liferay.object.model;version="8.4",com.liferay.object.service;version
 ="49.0",com.liferay.object.system;version="16.1",com.liferay.osgi.ser
 vice.tracker.collections.list;version="3.0",com.liferay.osgi.service.
 tracker.collections.map;version="2.3",com.liferay.osgi.util;version="
 2.3",com.liferay.osgi.util.service;version="3.1",com.liferay.petra.fu
 nction;version="1.5",com.liferay.petra.function.transform;version="1.
 3",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.petra.st
 ring;version="1.7",com.liferay.portal.configuration.metatype.annotati
 ons;version="1.8",com.liferay.portal.configuration.metatype.bnd.util;
 version="3.0",com.liferay.portal.instance.lifecycle;version="3.1",com
 .liferay.portal.kernel.annotation;version="7.0",com.liferay.portal.ke
 rnel.bean;version="10.1",com.liferay.portal.kernel.dao.orm;version="1
 2.0",com.liferay.portal.kernel.dao.search;version="9.0",com.liferay.p
 ortal.kernel.exception;version="13.3",com.liferay.portal.kernel.json;
 version="12.1",com.liferay.portal.kernel.language;version="11.0",com.
 liferay.portal.kernel.log;version="8.0",com.liferay.portal.kernel.mod
 el;version="30.4",com.liferay.portal.kernel.module.configuration;vers
 ion="2.1",com.liferay.portal.kernel.portlet;version="26.0",com.lifera
 y.portal.kernel.portlet.bridges.mvc;version="6.1",com.liferay.portal.
 kernel.portlet.url.builder;version="2.0",com.liferay.portal.kernel.re
 source.bundle;version="1.0",com.liferay.portal.kernel.search;version=
 "20.2",com.liferay.portal.kernel.search.facet;version="9.0",com.lifer
 ay.portal.kernel.search.facet.collector;version="6.3",com.liferay.por
 tal.kernel.search.facet.config;version="8.0",com.liferay.portal.kerne
 l.search.facet.util;version="7.0",com.liferay.portal.kernel.search.fi
 lter;version="1.0",com.liferay.portal.kernel.search.geolocation;versi
 on="1.0",com.liferay.portal.kernel.search.highlight;version="1.0",com
 .liferay.portal.kernel.security.auth;version="6.1",com.liferay.portal
 .kernel.security.permission;version="7.0",com.liferay.portal.kernel.s
 ecurity.permission.comparator;version="1.0",com.liferay.portal.kernel
 .service;version="25.1",com.liferay.portal.kernel.service.permission;
 version="5.0",com.liferay.portal.kernel.servlet;version="12.1",com.li
 feray.portal.kernel.systemevent;version="6.2",com.liferay.portal.kern
 el.template;version="15.0",com.liferay.portal.kernel.theme;version="1
 0.5",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.
 portal.kernel.trash;version="14.0",com.liferay.portal.kernel.upgrade;
 version="21.2",com.liferay.portal.kernel.upload;version="10.1",com.li
 feray.portal.kernel.util;version="63.0",com.liferay.portal.kernel.xml
 ;version="7.1",com.liferay.portal.language,com.liferay.portal.search.
 asset;version="1.0",com.liferay.portal.search.capabilities;version="1
 .1",com.liferay.portal.search.configuration;version="4.2",com.liferay
 .portal.search.context;version="1.0",com.liferay.portal.search.docume
 nt;version="1.2",com.liferay.portal.search.engine;version="3.1",com.l
 iferay.portal.search.facet;version="1.1",com.liferay.portal.search.fa
 cet.category;version="1.2",com.liferay.portal.search.facet.custom;ver
 sion="1.1",com.liferay.portal.search.facet.folder;version="2.0",com.l
 iferay.portal.search.facet.modified;version="1.0",com.liferay.portal.
 search.facet.nested;version="1.0",com.liferay.portal.search.facet.sit
 e;version="1.1",com.liferay.portal.search.facet.tag;version="2.1",com
 .liferay.portal.search.facet.type;version="1.1",com.liferay.portal.se
 arch.facet.user;version="1.1",com.liferay.portal.search.filter;versio
 n="1.4",com.liferay.portal.search.legacy.document;version="1.0",com.l
 iferay.portal.search.legacy.searcher;version="1.0",com.liferay.portal
 .search.query;version="1.7",com.liferay.portal.search.rest.configurat
 ion;version="1.0",com.liferay.portal.search.searcher;version="2.0",co
 m.liferay.portal.search.sort;version="2.0",com.liferay.portal.search.
 summary;version="1.1",com.liferay.portal.search.web.constants;version
 ="1.2",com.liferay.portal.search.web.facet;version="2.0",com.liferay.
 portal.search.web.facet.util.comparator;version="1.0",com.liferay.por
 tal.search.web.interpreter;version="1.0",com.liferay.portal.search.we
 b.layout.prototype;version="1.0",com.liferay.portal.search.web.portle
 t.shared.search;version="9.0",com.liferay.portal.search.web.portlet.s
 hared.task;version="1.0",com.liferay.portal.search.web.search.request
 ;version="4.0",com.liferay.portal.upgrade.registry;version="5.0",com.
 liferay.portal.util;version="52.0",com.liferay.portlet.asset.service.
 permission;version="3.0",com.liferay.portlet.display.template;version
 ="2.1",com.liferay.product.navigation.control.menu;version="5.0",com.
 liferay.taglib.aui;version="15.1",com.liferay.taglib.servlet;version=
 "3.0",javax.portlet,javax.portlet.annotations,javax.servlet,javax.ser
 vlet.http,javax.servlet.jsp;version="2.3",org.osgi.framework;version=
 "1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/js/config.js
Liferay-Releng-App-Title: Liferay Portal Search
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.search.web.internal.Interpreter,co
 m.liferay.portal.search.web.internal.category.facet.configuration,com
 .liferay.portal.search.web.internal.category.facet.constants,com.life
 ray.portal.search.web.internal.category.facet.portlet,com.liferay.por
 tal.search.web.internal.category.facet.portlet.action,com.liferay.por
 tal.search.web.internal.category.facet.portlet.display.template,com.l
 iferay.portal.search.web.internal.category.facet.portlet.display.temp
 late.dependencies,com.liferay.portal.search.web.internal.category.fac
 et.portlet.shared.search,com.liferay.portal.search.web.internal.confi
 guration,com.liferay.portal.search.web.internal.custom.facet.configur
 ation,com.liferay.portal.search.web.internal.custom.facet.constants,c
 om.liferay.portal.search.web.internal.custom.facet.display.context,co
 m.liferay.portal.search.web.internal.custom.facet.display.context.bui
 lder,com.liferay.portal.search.web.internal.custom.facet.portlet,com.
 liferay.portal.search.web.internal.custom.facet.portlet.action,com.li
 feray.portal.search.web.internal.custom.facet.portlet.display.templat
 e,com.liferay.portal.search.web.internal.custom.facet.portlet.display
 .template.dependencies,com.liferay.portal.search.web.internal.custom.
 facet.portlet.shared.search,com.liferay.portal.search.web.internal.cu
 stom.filter.configuration,com.liferay.portal.search.web.internal.cust
 om.filter.constants,com.liferay.portal.search.web.internal.custom.fil
 ter.display.context,com.liferay.portal.search.web.internal.custom.fil
 ter.display.context.builder,com.liferay.portal.search.web.internal.cu
 stom.filter.portlet,com.liferay.portal.search.web.internal.custom.fil
 ter.portlet.action,com.liferay.portal.search.web.internal.custom.filt
 er.portlet.display.template,com.liferay.portal.search.web.internal.cu
 stom.filter.portlet.display.template.dependencies,com.liferay.portal.
 search.web.internal.custom.filter.portlet.shared.search,com.liferay.p
 ortal.search.web.internal.display.context,com.liferay.portal.search.w
 eb.internal.document,com.liferay.portal.search.web.internal.facet,com
 .liferay.portal.search.web.internal.facet.display.context,com.liferay
 .portal.search.web.internal.facet.display.context.builder,com.liferay
 .portal.search.web.internal.folder.facet.configuration,com.liferay.po
 rtal.search.web.internal.folder.facet.constants,com.liferay.portal.se
 arch.web.internal.folder.facet.portlet,com.liferay.portal.search.web.
 internal.folder.facet.portlet.action,com.liferay.portal.search.web.in
 ternal.folder.facet.portlet.display.template,com.liferay.portal.searc
 h.web.internal.folder.facet.portlet.display.template.dependencies,com
 .liferay.portal.search.web.internal.folder.facet.portlet.shared.searc
 h,com.liferay.portal.search.web.internal.layout.prototype,com.liferay
 .portal.search.web.internal.low.level.search.options.constants,com.li
 feray.portal.search.web.internal.low.level.search.options.portlet,com
 .liferay.portal.search.web.internal.low.level.search.options.portlet.
 action,com.liferay.portal.search.web.internal.low.level.search.option
 s.portlet.preferences,com.liferay.portal.search.web.internal.low.leve
 l.search.options.portlet.shared.search,com.liferay.portal.search.web.
 internal.modified.facet.builder,com.liferay.portal.search.web.interna
 l.modified.facet.configuration,com.liferay.portal.search.web.internal
 .modified.facet.constants,com.liferay.portal.search.web.internal.modi
 fied.facet.display.context,com.liferay.portal.search.web.internal.mod
 ified.facet.display.context.builder,com.liferay.portal.search.web.int
 ernal.modified.facet.portlet,com.liferay.portal.search.web.internal.m
 odified.facet.portlet.action,com.liferay.portal.search.web.internal.m
 odified.facet.portlet.display.template,com.liferay.portal.search.web.
 internal.modified.facet.portlet.display.template.dependencies,com.lif
 eray.portal.search.web.internal.modified.facet.portlet.shared.search,
 com.liferay.portal.search.web.internal.portlet,com.liferay.portal.sea
 rch.web.internal.portlet.action,com.liferay.portal.search.web.interna
 l.portlet.preferences,com.liferay.portal.search.web.internal.portlet.
 shared.search,com.liferay.portal.search.web.internal.portlet.shared.t
 ask,com.liferay.portal.search.web.internal.portlet.shared.task.helper
 ,com.liferay.portal.search.web.internal.product.navigation.control.me
 nu,com.liferay.portal.search.web.internal.result.display.context,com.
 liferay.portal.search.web.internal.result.display.context.builder,com
 .liferay.portal.search.web.internal.search.bar.portlet,com.liferay.po
 rtal.search.web.internal.search.bar.portlet.action,com.liferay.portal
 .search.web.internal.search.bar.portlet.configuration,com.liferay.por
 tal.search.web.internal.search.bar.portlet.display.context,com.lifera
 y.portal.search.web.internal.search.bar.portlet.display.context.facto
 ry,com.liferay.portal.search.web.internal.search.bar.portlet.display.
 template,com.liferay.portal.search.web.internal.search.bar.portlet.he
 lper,com.liferay.portal.search.web.internal.search.bar.portlet.provid
 er,com.liferay.portal.search.web.internal.search.bar.portlet.shared.s
 earch,com.liferay.portal.search.web.internal.search.bar.web.portlet.d
 isplay.template.dependencies,com.liferay.portal.search.web.internal.s
 earch.insights.constants,com.liferay.portal.search.web.internal.searc
 h.insights.display.context,com.liferay.portal.search.web.internal.sea
 rch.insights.portlet,com.liferay.portal.search.web.internal.search.in
 sights.portlet.action,com.liferay.portal.search.web.internal.search.i
 nsights.portlet.shared.search,com.liferay.portal.search.web.internal.
 search.options.constants,com.liferay.portal.search.web.internal.searc
 h.options.portlet,com.liferay.portal.search.web.internal.search.optio
 ns.portlet.action,com.liferay.portal.search.web.internal.search.optio
 ns.portlet.shared.search,com.liferay.portal.search.web.internal.searc
 h.request,com.liferay.portal.search.web.internal.search.results.confi
 guration,com.liferay.portal.search.web.internal.search.results.portle
 t,com.liferay.portal.search.web.internal.search.results.portlet.actio
 n,com.liferay.portal.search.web.internal.search.results.portlet.displ
 ay.template,com.liferay.portal.search.web.internal.search.results.por
 tlet.shared.search,com.liferay.portal.search.web.internal.search.resu
 lts.web.portlet.display.template.dependencies,com.liferay.portal.sear
 ch.web.internal.search.suggest,com.liferay.portal.search.web.internal
 .site.facet.configuration,com.liferay.portal.search.web.internal.site
 .facet.constants,com.liferay.portal.search.web.internal.site.facet.po
 rtlet,com.liferay.portal.search.web.internal.site.facet.portlet.actio
 n,com.liferay.portal.search.web.internal.site.facet.portlet.display.t
 emplate,com.liferay.portal.search.web.internal.site.facet.portlet.dis
 play.template.dependencies,com.liferay.portal.search.web.internal.sit
 e.facet.portlet.shared.search,com.liferay.portal.search.web.internal.
 sort.configuration,com.liferay.portal.search.web.internal.sort.consta
 nts,com.liferay.portal.search.web.internal.sort.display.context,com.l
 iferay.portal.search.web.internal.sort.display.context.builder,com.li
 feray.portal.search.web.internal.sort.portlet,com.liferay.portal.sear
 ch.web.internal.sort.portlet.action,com.liferay.portal.search.web.int
 ernal.sort.portlet.display.template,com.liferay.portal.search.web.int
 ernal.sort.portlet.display.template.dependencies,com.liferay.portal.s
 earch.web.internal.sort.portlet.shared.search,com.liferay.portal.sear
 ch.web.internal.suggestions.constants,com.liferay.portal.search.web.i
 nternal.suggestions.display.context,com.liferay.portal.search.web.int
 ernal.suggestions.display.context.builder,com.liferay.portal.search.w
 eb.internal.suggestions.portlet,com.liferay.portal.search.web.interna
 l.suggestions.portlet.action,com.liferay.portal.search.web.internal.s
 uggestions.portlet.shared.search,com.liferay.portal.search.web.intern
 al.tag.facet.configuration,com.liferay.portal.search.web.internal.tag
 .facet.constants,com.liferay.portal.search.web.internal.tag.facet.por
 tlet,com.liferay.portal.search.web.internal.tag.facet.portlet.action,
 com.liferay.portal.search.web.internal.tag.facet.portlet.display.temp
 late,com.liferay.portal.search.web.internal.tag.facet.portlet.display
 .template.dependencies,com.liferay.portal.search.web.internal.tag.fac
 et.portlet.shared.search,com.liferay.portal.search.web.internal.type.
 facet.configuration,com.liferay.portal.search.web.internal.type.facet
 .constants,com.liferay.portal.search.web.internal.type.facet.portlet,
 com.liferay.portal.search.web.internal.type.facet.portlet.action,com.
 liferay.portal.search.web.internal.type.facet.portlet.display.templat
 e,com.liferay.portal.search.web.internal.type.facet.portlet.display.t
 emplate.dependencies,com.liferay.portal.search.web.internal.type.face
 t.portlet.shared.search,com.liferay.portal.search.web.internal.upgrad
 e.registry,com.liferay.portal.search.web.internal.upgrade.v1_0_0,com.
 liferay.portal.search.web.internal.upgrade.v2_0_0,com.liferay.portal.
 search.web.internal.user.facet.configuration,com.liferay.portal.searc
 h.web.internal.user.facet.constants,com.liferay.portal.search.web.int
 ernal.user.facet.portlet,com.liferay.portal.search.web.internal.user.
 facet.portlet.action,com.liferay.portal.search.web.internal.user.face
 t.portlet.display.template,com.liferay.portal.search.web.internal.use
 r.facet.portlet.display.template.dependencies,com.liferay.portal.sear
 ch.web.internal.user.facet.portlet.shared.search,com.liferay.portal.s
 earch.web.internal.util,com.liferay.portal.search.web.internal.util.c
 omparator,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=portal-search-we
 b;version:Version="6.0.113.hotfix-5175-7413",osgi.service;objectClass
 :List<String>="com.liferay.configuration.admin.display.ConfigurationF
 ormRenderer";uses:="com.liferay.configuration.admin.display",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.instance.lifecycle.
 PortalInstanceLifecycleListener";uses:="com.liferay.portal.instance.l
 ifecycle",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.portlet.ConfigurationAction";uses:="com.liferay.portal.kernel.p
 ortlet",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.portlet.PortletProvider";uses:="com.liferay.portal.kernel.portlet
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.po
 rtlet.bridges.mvc.MVCActionCommand";uses:="com.liferay.portal.kernel.
 portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.template.TemplateHandler";uses:="com.liferay.portal.
 kernel.template",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.search.web.facet.SearchFacet";uses:="com.liferay.portal.search.
 web.facet",osgi.service;objectClass:List<String>="com.liferay.portal.
 search.web.internal.Interpreter.AssetRendererSearchResultInterpreter"
 ;uses:="com.liferay.portal.search.web.internal.Interpreter",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.search.web.internal.
 display.context.SearchDisplayContextFactory";uses:="com.liferay.porta
 l.search.web.internal.display.context",osgi.service;objectClass:List<
 String>="com.liferay.portal.search.web.internal.facet.SearchFacetRegi
 stry";uses:="com.liferay.portal.search.web.internal.facet",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.search.web.internal.l
 ayout.prototype.SearchLayoutFactory";uses:="com.liferay.portal.search
 .web.internal.layout.prototype",osgi.service;objectClass:List<String>
 ="com.liferay.portal.search.web.internal.portlet.preferences.PortletP
 referencesLookup";uses:="com.liferay.portal.search.web.internal.portl
 et.preferences",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.web.internal.portlet.shared.task.helper.PortletSharedRequ
 estHelper";uses:="com.liferay.portal.search.web.internal.portlet.shar
 ed.task.helper",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.web.internal.search.bar.portlet.helper.SearchBarPrecedenc
 eHelper";uses:="com.liferay.portal.search.web.internal.search.bar.por
 tlet.helper",osgi.service;objectClass:List<String>="com.liferay.porta
 l.search.web.interpreter.SearchResultInterpreterProvider";uses:="com.
 liferay.portal.search.web.interpreter",osgi.service;objectClass:List<
 String>="com.liferay.portal.search.web.portlet.shared.search.PortletS
 haredSearchContributor";uses:="com.liferay.portal.search.web.portlet.
 shared.search",osgi.service;objectClass:List<String>="com.liferay.por
 tal.search.web.portlet.shared.search.PortletSharedSearchRequest";uses
 :="com.liferay.portal.search.web.portlet.shared.search",osgi.service;
 objectClass:List<String>="com.liferay.portal.search.web.portlet.share
 d.task.PortletSharedTaskExecutor";uses:="com.liferay.portal.search.we
 b.portlet.shared.task",osgi.service;objectClass:List<String>="com.lif
 eray.portal.upgrade.registry.UpgradeStepRegistrator";uses:="com.lifer
 ay.portal.upgrade.registry",osgi.service;objectClass:List<String>="co
 m.liferay.product.navigation.control.menu.ProductNavigationControlMen
 uEntry";uses:="com.liferay.product.navigation.control.menu",osgi.serv
 ice;objectClass:List<String>="javax.portlet.Portlet";uses:="javax.por
 tlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/ddm))",osgi.extender;filter:="(&(
 osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/frontend))",osgi
 .extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.co
 m/tld/learn))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(ur
 i=http://liferay.com/tld/portlet))",osgi.extender;filter:="(&(osgi.ex
 tender=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;
 filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/temp
 late))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/theme))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&(
 osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetCate
 goryLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.asset.kernel.service.AssetEntryLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel
 .service.AssetVocabularyLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMIndex
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .fragment.processor.PortletRegistry)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.frontend.taglib.servlet.taglib.util
 .JSPRenderer)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.object.service.ObjectDefinitionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.js
 on.JSONFactory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.language.Language)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.model.Releas
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.search.IndexWriterHelper)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.search.IndexerRegi
 stry)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.security.permission.ResourceActions)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.GroupLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.LayoutLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.LayoutPrototypeLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.PortletLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.PortletPreferencesLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.UserLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.permission.PortletP
 ermission)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.util.DateFormatFactory)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.util.FastDat
 eFormatFactory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.util.Html)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.util.Localization)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.util.Portal)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.asset.SearchableAssetClassNamesProv
 ider)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.capabilities.SearchCapabilities)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.search.context.
 SearchContextFactory)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.engine.SearchEngineInformation)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 search.facet.category.CategoryFacetFactory)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.search.facet.category
 .CategoryFacetSearchContributor)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.search.facet.custom.CustomFacetS
 earchContributor)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.search.facet.folder.FolderFacetFactory)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.facet.folder.FolderFacetSearchContributor)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.search.facet.modif
 ied.ModifiedFacetFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.search.facet.nested.NestedFacetSearchCo
 ntributor)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.facet.site.SiteFacetFactory)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.search.facet.s
 ite.SiteFacetSearchContributor)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.search.facet.tag.AssetTagNamesFac
 etFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.facet.tag.TagFacetSearchContributor)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .facet.type.AssetEntriesFacetFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.search.facet.type.TypeFacet
 SearchContributor)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.search.facet.user.UserFacetFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .facet.user.UserFacetSearchContributor)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.search.filter.ComplexQuer
 yPartBuilderFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.search.legacy.document.DocumentBuilderFactor
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.search.legacy.searcher.SearchRequestBuilderFactory)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .query.Queries)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.search.searcher.SearchRequestBuilderFactory)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 search.searcher.Searcher)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.search.sort.SortBuilderFactory)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.sort.Sorts)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.search.summary.SummaryBuilderFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.search.
 web.internal.Interpreter.AssetRendererSearchResultInterpreter)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.se
 arch.web.internal.display.context.SearchDisplayContextFactory)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.se
 arch.web.internal.facet.SearchFacetRegistry)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.search.web.internal.
 layout.prototype.SearchLayoutFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.search.web.internal.portlet
 .preferences.PortletPreferencesLookup)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.search.web.internal.portle
 t.shared.task.helper.PortletSharedRequestHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.search.web.inter
 nal.search.bar.portlet.helper.SearchBarPrecedenceHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.search.w
 eb.portlet.shared.search.PortletSharedSearchRequest)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.search.web.p
 ortlet.shared.task.PortletSharedTaskExecutor)";effective:=active,osgi
 .service;filter:="(objectClass=javax.servlet.ServletContext)";effecti
 ve:=active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(ve
 rsion>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPo
 rtlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.co
 ntract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServle
 t)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))
 "
Service-Component: OSGI-INF/com.liferay.portal.search.web.internal.Int
 erpreter.AssetRendererSearchResultInterpreter.xml,OSGI-INF/com.lifera
 y.portal.search.web.internal.Interpreter.SearchResultInterpreterProvi
 derImpl.xml,OSGI-INF/com.liferay.portal.search.web.internal.category.
 facet.portlet.CategoryFacetPortlet.xml,OSGI-INF/com.liferay.portal.se
 arch.web.internal.category.facet.portlet.action.CategoryFacetPortletC
 onfigurationAction.xml,OSGI-INF/com.liferay.portal.search.web.interna
 l.category.facet.portlet.display.template.CategoryFacetPortletDisplay
 TemplateHandler.xml,OSGI-INF/com.liferay.portal.search.web.internal.c
 ategory.facet.portlet.shared.search.CategoryFacetPortletSharedSearchC
 ontributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.custom
 .facet.portlet.CustomFacetPortlet.xml,OSGI-INF/com.liferay.portal.sea
 rch.web.internal.custom.facet.portlet.action.CustomFacetPortletConfig
 urationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.cus
 tom.facet.portlet.display.template.CustomFacetPortletDisplayTemplateH
 andler.xml,OSGI-INF/com.liferay.portal.search.web.internal.custom.fac
 et.portlet.shared.search.CustomFacetPortletSharedSearchContributor.xm
 l,OSGI-INF/com.liferay.portal.search.web.internal.custom.filter.portl
 et.CustomFilterPortlet.xml,OSGI-INF/com.liferay.portal.search.web.int
 ernal.custom.filter.portlet.action.CustomFilterPortletConfigurationAc
 tion.xml,OSGI-INF/com.liferay.portal.search.web.internal.custom.filte
 r.portlet.display.template.CustomFilterPortletDisplayTemplateHandler.
 xml,OSGI-INF/com.liferay.portal.search.web.internal.custom.filter.por
 tlet.shared.search.CustomFilterPortletSharedSearchContributor.xml,OSG
 I-INF/com.liferay.portal.search.web.internal.display.context.SearchDi
 splayContextFactoryImpl.xml,OSGI-INF/com.liferay.portal.search.web.in
 ternal.facet.AssetCategoriesSearchFacet.xml,OSGI-INF/com.liferay.port
 al.search.web.internal.facet.AssetEntriesSearchFacet.xml,OSGI-INF/com
 .liferay.portal.search.web.internal.facet.AssetTagsSearchFacet.xml,OS
 GI-INF/com.liferay.portal.search.web.internal.facet.FolderSearchFacet
 .xml,OSGI-INF/com.liferay.portal.search.web.internal.facet.ModifiedSe
 archFacet.xml,OSGI-INF/com.liferay.portal.search.web.internal.facet.S
 copeSearchFacet.xml,OSGI-INF/com.liferay.portal.search.web.internal.f
 acet.SearchFacetRegistry.xml,OSGI-INF/com.liferay.portal.search.web.i
 nternal.facet.UserSearchFacet.xml,OSGI-INF/com.liferay.portal.search.
 web.internal.folder.facet.portlet.FolderFacetPortlet.xml,OSGI-INF/com
 .liferay.portal.search.web.internal.folder.facet.portlet.action.Folde
 rFacetPortletConfigurationAction.xml,OSGI-INF/com.liferay.portal.sear
 ch.web.internal.folder.facet.portlet.display.template.FolderFacetPort
 letDisplayTemplateHandler.xml,OSGI-INF/com.liferay.portal.search.web.
 internal.folder.facet.portlet.shared.search.FolderFacetPortletSharedS
 earchContributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.
 layout.prototype.AddLayoutPrototypePortalInstanceLifecycleListener.xm
 l,OSGI-INF/com.liferay.portal.search.web.internal.layout.prototype.Se
 archLayoutFactoryImpl.xml,OSGI-INF/com.liferay.portal.search.web.inte
 rnal.low.level.search.options.portlet.LowLevelSearchOptionsPortlet.xm
 l,OSGI-INF/com.liferay.portal.search.web.internal.low.level.search.op
 tions.portlet.action.LowLevelSearchOptionsConfigurationAction.xml,OSG
 I-INF/com.liferay.portal.search.web.internal.low.level.search.options
 .portlet.shared.search.LowLevelSearchOptionsPortletSharedSearchContri
 butor.xml,OSGI-INF/com.liferay.portal.search.web.internal.modified.fa
 cet.portlet.ModifiedFacetPortlet.xml,OSGI-INF/com.liferay.portal.sear
 ch.web.internal.modified.facet.portlet.action.ModifiedFacetPortletCon
 figurationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.
 modified.facet.portlet.display.template.ModifiedFacetPortletDisplayTe
 mplateHandler.xml,OSGI-INF/com.liferay.portal.search.web.internal.mod
 ified.facet.portlet.shared.search.ModifiedFacetPortletSharedSearchCon
 tributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.portlet.
 SearchPortlet.xml,OSGI-INF/com.liferay.portal.search.web.internal.por
 tlet.SearchViewPortletProvider.xml,OSGI-INF/com.liferay.portal.search
 .web.internal.portlet.action.SearchConfigurationAction.xml,OSGI-INF/c
 om.liferay.portal.search.web.internal.portlet.preferences.PortletPref
 erencesLookupImpl.xml,OSGI-INF/com.liferay.portal.search.web.internal
 .portlet.shared.search.PortletSharedSearchRequestImpl.xml,OSGI-INF/co
 m.liferay.portal.search.web.internal.portlet.shared.task.PortletShare
 dTaskExecutorImpl.xml,OSGI-INF/com.liferay.portal.search.web.internal
 .portlet.shared.task.helper.PortletSharedRequestHelperImpl.xml,OSGI-I
 NF/com.liferay.portal.search.web.internal.product.navigation.control.
 menu.IndexingProductNavigationControlMenuEntry.xml,OSGI-INF/com.lifer
 ay.portal.search.web.internal.search.bar.portlet.SearchBarPortlet.xml
 ,OSGI-INF/com.liferay.portal.search.web.internal.search.bar.portlet.a
 ction.SearchBarConfigurationAction.xml,OSGI-INF/com.liferay.portal.se
 arch.web.internal.search.bar.portlet.configuration.SearchBarPortletIn
 stanceConfigurationRenderer.xml,OSGI-INF/com.liferay.portal.search.we
 b.internal.search.bar.portlet.display.template.SearchBarPortletDispla
 yTemplateHandler.xml,OSGI-INF/com.liferay.portal.search.web.internal.
 search.bar.portlet.helper.SearchBarPrecedenceHelper.xml,OSGI-INF/com.
 liferay.portal.search.web.internal.search.bar.portlet.provider.Search
 BarViewPortletProvider.xml,OSGI-INF/com.liferay.portal.search.web.int
 ernal.search.bar.portlet.shared.search.SearchBarPortletSharedSearchCo
 ntributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.search.
 insights.portlet.SearchInsightsPortlet.xml,OSGI-INF/com.liferay.porta
 l.search.web.internal.search.insights.portlet.action.SearchInsightsCo
 nfigurationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal
 .search.insights.portlet.shared.search.SearchInsightsPortletSharedSea
 rchContributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.se
 arch.options.portlet.SearchOptionsPortlet.xml,OSGI-INF/com.liferay.po
 rtal.search.web.internal.search.options.portlet.action.SearchOptionsC
 onfigurationAction.xml,OSGI-INF/com.liferay.portal.search.web.interna
 l.search.options.portlet.shared.search.SearchOptionsPortletSharedSear
 chContributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.sea
 rch.results.portlet.SearchResultsPortlet.xml,OSGI-INF/com.liferay.por
 tal.search.web.internal.search.results.portlet.action.SearchResultsCo
 nfigurationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal
 .search.results.portlet.display.template.SearchResultsPortletDisplayT
 emplateHandler.xml,OSGI-INF/com.liferay.portal.search.web.internal.se
 arch.results.portlet.shared.search.SearchResultsPortletSharedSearchCo
 ntributor.xml,OSGI-INF/com.liferay.portal.search.web.internal.site.fa
 cet.portlet.SiteFacetPortlet.xml,OSGI-INF/com.liferay.portal.search.w
 eb.internal.site.facet.portlet.action.SiteFacetPortletConfigurationAc
 tion.xml,OSGI-INF/com.liferay.portal.search.web.internal.site.facet.p
 ortlet.display.template.SiteFacetPortletDisplayTemplateHandler.xml,OS
 GI-INF/com.liferay.portal.search.web.internal.site.facet.portlet.shar
 ed.search.SiteFacetPortletSharedSearchContributor.xml,OSGI-INF/com.li
 feray.portal.search.web.internal.sort.portlet.SortPortlet.xml,OSGI-IN
 F/com.liferay.portal.search.web.internal.sort.portlet.action.SortConf
 igurationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.s
 ort.portlet.display.template.SortPortletDisplayTemplateHandler.xml,OS
 GI-INF/com.liferay.portal.search.web.internal.sort.portlet.shared.sea
 rch.SortPortletSharedSearchContributor.xml,OSGI-INF/com.liferay.porta
 l.search.web.internal.suggestions.portlet.SuggestionsPortlet.xml,OSGI
 -INF/com.liferay.portal.search.web.internal.suggestions.portlet.actio
 n.RedirectSuggestionsMVCActionCommand.xml,OSGI-INF/com.liferay.portal
 .search.web.internal.suggestions.portlet.action.SuggestionsConfigurat
 ionAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.suggest
 ions.portlet.shared.search.SuggestionsPortletSharedSearchContributor.
 xml,OSGI-INF/com.liferay.portal.search.web.internal.tag.facet.portlet
 .TagFacetPortlet.xml,OSGI-INF/com.liferay.portal.search.web.internal.
 tag.facet.portlet.action.TagFacetConfigurationAction.xml,OSGI-INF/com
 .liferay.portal.search.web.internal.tag.facet.portlet.display.templat
 e.TagFacetPortletDisplayTemplateHandler.xml,OSGI-INF/com.liferay.port
 al.search.web.internal.tag.facet.portlet.shared.search.TagFacetPortle
 tSharedSearchContributor.xml,OSGI-INF/com.liferay.portal.search.web.i
 nternal.type.facet.portlet.TypeFacetPortlet.xml,OSGI-INF/com.liferay.
 portal.search.web.internal.type.facet.portlet.action.TypeFacetConfigu
 rationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.type
 .facet.portlet.display.template.TypeFacetPortletDisplayTemplateHandle
 r.xml,OSGI-INF/com.liferay.portal.search.web.internal.type.facet.port
 let.shared.search.TypeFacetPortletSharedSearchContributor.xml,OSGI-IN
 F/com.liferay.portal.search.web.internal.upgrade.registry.SearchWebUp
 gradeStepRegistrator.xml,OSGI-INF/com.liferay.portal.search.web.inter
 nal.user.facet.portlet.UserFacetPortlet.xml,OSGI-INF/com.liferay.port
 al.search.web.internal.user.facet.portlet.action.UserFacetPortletConf
 igurationAction.xml,OSGI-INF/com.liferay.portal.search.web.internal.u
 ser.facet.portlet.display.template.UserFacetPortletDisplayTemplateHan
 dler.xml,OSGI-INF/com.liferay.portal.search.web.internal.user.facet.p
 ortlet.shared.search.UserFacetPortletSharedSearchContributor.xml
Tool: Bnd-5.3.0.202102221516
Web-ContextPath: /portal-search-web

